Documents/PythonPackeges

From GeoDash
Jump to: navigation, search

Python Packeges

  • pillow v3.1.1
  • lxml v4.4
  • psycopg2 v2.4.5
  • Django v1.8.7
  • pyyaml v3.11
  • beautifulsoup4 v4.2.1
  • MultipartPostHandler v0.1.0
  • httplib2 v0.9.2
  • transifex-client v0.10
  • Paver v1.2.1
  • nose v1.3.1
  • django-nose v1.2
  • awesome-slugify v1.6.2
  • python-social-auth
  • overpass

Django Apps

  • django-pagination v1.0.5
  • django-jsonfield v0.9.16
  • django-extensions v1.6.1
  • django-taggit v0.18.0
  • django-mptt v0.8.0
  • django-guardian v1.4.1
  • django-admin-bootstrapped v1.6.5

Apps with packages provided in GeoNode's PPA on Launchpad

  • pinax-theme-bootstrap v3.0a11
  • pinax-theme-bootstrap-account v1.0b2
  • django-forms-bootstrap v3.0.1
  • django-friendly-tag-loader v1.2.1
  • django-activity-stream v0.6.1
  • django-downloadview v1.2
  • django-tastypie v0.12.2
  • django-polymorphic v0.9
  • django-leaflet v0.13.7
  • django-autocomplete-light v2.3.3
  • django-modeltranslation v0.11
  • django-notify-x


GeoNode org maintained apps

  • django-geoexplorer v4.0.5
  • geonode-user-messages v0.1.2
  • geonode-avatar v2.1.4
  • geonode-announcements v1.0.7
  • geonode-agon-ratings v0.3.4
  • geonode-user-accounts v1.0.10
  • geonode-arcrest v10.2
  • geonode-notification v1.1.1
  • geonode-dialogos v0.4
  • gsconfig v1.0.3
  • gsimporter v1.0.0
  • gisdata v0.5.4
  • pyshp v1.2.3
  • plumbum

Geopython dependencies

  • OWSLib v0.11.0
  • pycsw v1.10.3
  • pyproj v1.9.3
  • Shapely v1.5.13

Haystack/elasticsearch

  • django-haystack v2.1.0
  • pyelasticsearch v0.6.1
  • celery v3.1.17
  • django-celery v3.1.16

Datetimepicker widget

  • django-bootstrap3-datetimepicker v2.2.3
  • flake8 v2.3.0
  • pep8 v1.6.2